- Qt 6.6
- Qt Sensors
- C++ Classes
- QAmbientTemperatureReading
- Qt 6.6.2 Reference Documentation

# QAmbientTemperatureReading Class

The QAmbientTemperatureReading class holds readings of the ambient temperature. More...

Header: | #include <QAmbientTemperatureReading>
CMake: | find_package(Qt6 REQUIRED COMPONENTS Sensors) target_link_libraries(mytarget PRIVATE Qt6::Sensors)
qmake: | QT += sensors
Inherits: | QSensorReading

- List of all members, including inherited members

## Properties

- temperature : const qreal

## Public Functions

void | setTemperature(qreal temperature)
qreal | temperature() const

## Detailed Description

The ambient (room) temperature is the temperature in degree Celsius.

## Property Documentation

### `[read-only]` temperature : const qreal

This property holds the ambient temperature

Measured in degree Celsius.

Access functions:

qreal | temperature() const

## Member Function Documentation

### void QAmbientTemperatureReading::setTemperature(qreal temperature)

Sets ambient temperature to temperature.

See also temperature().